///
/// Vies Vat checker API path's
///
const vatServiceUrl =
    "https://ec.europa.eu/taxation_customs/vies/services/checkVatService";
const vatTestServiceUrl =
    "https://ec.europa.eu/taxation_customs/vies/services/checkVatTestService";

///
/// Http request body template
/// Replace _country_code_placeholder_ and _vat_number_placeholder_ before send request of VAT validation
///
const soapBodyTemplate = '''<?xml version="1.0"?>
  <soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:ec.europa.eu:taxud:vies:services:checkVat:types">
    <soapenv:Header/>
    <soapenv:Body>
      <urn:checkVat>
         <urn:countryCode>_country_code_placeholder_</urn:countryCode>
         <urn:vatNumber>_vat_number_placeholder_</urn:vatNumber>
      </urn:checkVat>
    </soapenv:Body>
  </soapenv:Envelope>
  ''';

///
/// Http request headers to use SOAP Vies API
///
const headers = {
  "Content-Type": "application/x-www-form-urlencoded",
  "User-Agent": "node-soap",
  "Accept":
      "text/html,application/xhtml+xml,application/xml,text/xml;q=0.9,*/*;q=0.8",
  "Accept-Encoding": "none",
  "Accept-Charset": "utf-8",
  "Connection": "close",
  "Host": "ec.europa.eu"
};
