///
/// Vies client error response model
///
class ViesClientError extends AssertionError {
  final String? soapResponse;
  final String? errorCode;

  ViesClientError({
    final String? message,
    this.soapResponse,
    this.errorCode,
  }) : super(message);

  @override
  String toString() {
    final res = StringBuffer();
    for (final e in toJson().entries) {
      res.write('${e.key} = ${e.value}\n');
    }
    return res.toString();
  }

  Map<String, dynamic> toJson() => {
        "errorCode": errorCode,
        "soapResponse": soapResponse,
        "message": message,
      };
}
